// VCSampleDlg.h : header file
//

#if !defined(AFX_VCSAMPLEDLG_H__76E480AE_9914_4D00_AEB0_4838EAA5F53A__INCLUDED_)
#define AFX_VCSAMPLEDLG_H__76E480AE_9914_4D00_AEB0_4838EAA5F53A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CVCSampleDlg dialog

class CVaxVoIP;

class CVCSampleDlg : public CDialog
{
// Construction
public:
	CVCSampleDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CVCSampleDlg)
	enum { IDD = IDD_VCSAMPLE_DIALOG };
	CSliderCtrl	m_MicSlider;
	CSliderCtrl	m_SpkSlider;
	CListCtrl	m_LogList;
	CString	m_sProxyLoginId;
	CString	m_sProxyLoginPwd;
	CString	m_sProxyURI;
	CString	m_sOutboundProxy;
	CString	m_sPhoneNumber;
	BOOL	m_bMicMute;
	BOOL	m_bSpkMute;
	CString	m_sWavFile;
	BOOL	m_bStartRecording;
	BOOL	m_bEnableEchoNoiseCancel;
	BOOL	m_bEnableMicBoost;
	BOOL	m_bDonotDisturb;
	BOOL	m_bGSM610;
	BOOL	m_biLBC;
	BOOL	m_bG711ALaw;
	BOOL	m_bG711ULaw;
	//}}AFX_DATA

	CVaxVoIP* m_pVaxVoIP;
	void OnSuccessToConnect();

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CVCSampleDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CVCSampleDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnButtonInit();
	afx_msg void OnButtonUninit();
	afx_msg void OnDestroy();
	afx_msg void OnButtonClear();
	afx_msg void OnButtonDial();
	afx_msg void OnButtonAccept();
	afx_msg void OnButtonReject();
	afx_msg void OnButtonHangup();
	afx_msg void OnButton1();
	afx_msg void OnButton2();
	afx_msg void OnButton3();
	afx_msg void OnButton4();
	afx_msg void OnButton5();
	afx_msg void OnButton6();
	afx_msg void OnButton7();
	afx_msg void OnButton8();
	afx_msg void OnButton9();
	afx_msg void OnButton10();
	afx_msg void OnButton11();
	afx_msg void OnButton12();
	virtual void OnOK();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnCheckSpkMute();
	afx_msg void OnCheckMicMute();
	afx_msg void OnButtonResetRecording();
	afx_msg void OnButtonSaveToWaveFile();
	afx_msg void OnCheckStartRecording();
	afx_msg void OnCheckEcho();
	afx_msg void OnCheckMicBoost();
	afx_msg void OnCheckDonotDisturb();
	afx_msg void OnCheckGsm610();
	afx_msg void OnCheckiLBC();
	afx_msg void OnCheckG711ALaw();
	afx_msg void OnCheckG711ULaw();
	afx_msg void OnButtonHelp();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_VCSAMPLEDLG_H__76E480AE_9914_4D00_AEB0_4838EAA5F53A__INCLUDED_)
